package com.bonus.core.customer.vo;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import com.bonus.core.common.utils.SysUtil;
import com.bonus.core.customer.model.CustInfo;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@LeNiuDecryptDataProcess
public class CustInfoAndCarSeriesNumVo {
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("人员状态 1-正常 2-注销")
   private Integer custState;
   @ApiModelProperty("推送到设备上，生成的用户id")
   private String custDeviceId;
   @LeNiuDecryptField
   private String mobile;
   private String serialNum;
   @ApiModelProperty("人脸照片地址")
   private String custPhotoUrl;
   private LocalDateTime photoTime;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public CustInfoAndCarSeriesNumVo(CustInfo custInfo) {
      BeanUtil.copyProperties(custInfo, this, new String[0]);
   }

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public String getCustDeviceId() {
      return this.custDeviceId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public LocalDateTime getPhotoTime() {
      return this.photoTime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setCustDeviceId(final String custDeviceId) {
      this.custDeviceId = custDeviceId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setPhotoTime(final LocalDateTime photoTime) {
      this.photoTime = photoTime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }


   public CustInfoAndCarSeriesNumVo() {
   }
}
